/* 
 * Copyright (c) 2000 Carnegie Mellon University.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The name "Carnegie Mellon University" must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission. For permission or any other legal
 *    details, please contact  
 *      Office of Technology Transfer
 *      Carnegie Mellon University
 *      5000 Forbes Avenue
 *      Pittsburgh, PA  15213-3890
 *      (412) 268-4387, fax: (412) 268-7395
 *      tech-transfer@andrew.cmu.edu
 *
 * 4. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by Computing Services
 *     at Carnegie Mellon University (http://www.cmu.edu/computing/)."
 *
 * CARNEGIE MELLON UNIVERSITY DISCLAIMS ALL WARRANTIES WITH REGARD TO
 * THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS, IN NO EVENT SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE
 * FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
 * AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
 * OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef DIALOG_H
#define DIALOG_H

#include "common.h"

void DLG_Alert(int alert_type,char *alert_msg);

int DLG_GetBooleanFromUser(char *prompt,int default_item);

int DLG_MailForwarding(void);

int DLG_ChangePassword(char *p1,char *p2,char *p3);

int DLG_ChooseFromList(char *prompt,int  *result);

int DLG_GetStringFromUser(char *prompt,char *result);

int DLG_GetPasswordFromUser(char *prompt,char *result);

int DLG_GetAttachmentInfo ( char * filename,
			    char * attachmentNumber );

int DLG_Login(char *userid, char *imap_host, char *smtp_host);

void DLG_LocalPrefs(void);

void DLG_RemotePrefs();

void DLG_About(void);

void DLG_Help(void);

int DLG_Vote(char vote_bufs[][STR255LEN]);

int DLG_FaxHeaders(int *use_more_options);

void DLG_NewMail(char *msg);

void DLG_IdleClose(char *msg);

#endif /* DIALOG_H */
