/* 
 * Copyright (c) 2000 Carnegie Mellon University.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The name "Carnegie Mellon University" must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission. For permission or any other legal
 *    details, please contact  
 *      Office of Technology Transfer
 *      Carnegie Mellon University
 *      5000 Forbes Avenue
 *      Pittsburgh, PA  15213-3890
 *      (412) 268-4387, fax: (412) 268-7395
 *      tech-transfer@andrew.cmu.edu
 *
 * 4. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by Computing Services
 *     at Carnegie Mellon University (http://www.cmu.edu/computing/)."
 *
 * CARNEGIE MELLON UNIVERSITY DISCLAIMS ALL WARRANTIES WITH REGARD TO
 * THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS, IN NO EVENT SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE
 * FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
 * AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
 * OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/*
 * msgs.c
 */

/*
  StringArray for remote menu commands.
  Note: These indices are built in to the mapcmd.c.
*/

char *remote_strings[] = {
  /* [1] */
  "Please enter the name of the folder to create:",
  /* [2] */
  "Please enter a new name for the highlighted folder:",
  /* [3] */
  "What folder should I merge the highlighted folder to?",
  /* [4] */
  "Please enter a string for matching folders:",
  /* [5] */
  "Please enter the name of folder to file this message to:",
  /* [6] */
  "Please enter the address to send this message to:",
  /* [7] */
  "Please enter the address to check:",
  /* [8] */
  "Please enter the name of the Andrew file to append:",
  /* [9] */
  "Please enter the name of the Andrew draft to open:",
  /* [10] */
  "Please enter the name for the Andrew file:",
  /* [11] */
  "Please enter the name of the folder to expose:",
  /* [12] */
  "Please enter a subject for Andrew help:",
  /* [13] */
  "Please enter the name of an Andrew printer to check:",
  /* [14] */
  "Please enter a subject for Andrew help:",
  /* [15] */
  "Please enter new name for the file/directory:",
  /* [16] */
  "Please enter a name for the directory:",
  /* [17] */
  "Please enter a path for Change Directory:",
  /* [18] */
  "Please enter a name for the new file:"
};

char *local_strings[] = {
  /* 0 */
  "Please enter a name for the local file:",
  /* 1 */
  "Please enter the name of the file to append",
  /* 2 */
  "Please enter the name of local file to open:",
  /* 3 */
  "Please enter the address to send the acknowledgement to:",
  /* 4 */
  "Please enter the address for redistribution:",
  /* 5 */
  "Please enter the name of bboard for invitation:",
  /* 6 */
  "Please enter the address for replies:"
  /* 7 */
};
 
char *MSG_FileIO_InProgress = "A File Operation is Already in Progress!";
char *MSG_Remote_IOerr = "I/O Error During the Remote File Operation.";
char *MSG_NotEnoughMemory = "Not Enough Memory To Satisfy The Operation.";
char *MSG_AppendDone = "File Append Complete";
char *MSG_OpenFailed = "Unable to open the file ";
char *MSG_CreateFailed = "Unable to create local file ";
char *MSG_FileSavedIn = "File Saved In ";
char *MSG_WriteError = "Error writing to file ";
char *MSG_DraftDone = "Your draft has been saved.";
char *MSG_ReadError = "Error reading from file ";
char *MSG_QuitAborted = "Quit aborted!";
char *MSG_AppendError = "Error appending the file ";
char *MSG_PrefsError = "Error reading  or invalid preferences file";
char *MSG_TempError = "Unable to create temporary file for this operation";
char *MSG_GetFile = "Unable to allocate resources to view the file";
char *MSG_FileTooBigToEdit = "The file is too large to be edited with the internal editor.\n\nPlease use an external editor.";
char *MSG_FileTooBigToView = "The file is too large to open.\n\nTry setting the checkbox for temprary file storage in Local Preferences.";

char *MSG_TooBigToAppend = "This file will extend the size above 32K limit.\n\nTry opening the file by itself, saving it to local disk, and append it as local file.";

char *MSG_ServerWait = "Waiting for server data. Stop Waiting?";

char *MSG_Attention = "Press Control-C for attention...";

char *MSG_PrintError = "Error Writing to Printer.";

char *MSG_MarkSet = "Mark Set...";
char *MSG_MarkCleared = "Mark Cleared...";
char *MSG_CopyDone = "Copy/Excerpt done!";

char *MSG_SubmissionDone = "Your Message Has Been Sent.";
char *MSG_VerifyDone = "Verification Done.";
char *MSG_VerifyFailed = "Verification Failed.";
char *MSG_SubmissionFailed = "Submission Failed.";

char *MSG_ReturnCloses = " (Press RETURN to Close)";

char *MSG_BadPwd = "One of the Passwords Was Incorrect";

char *doc_submit_message = "Submitting Your Message, Please Wait...";
char *doc_verify_message = "Verifying Your Message, Please Wait...";

char *doc_standard_banner = 
  "Use \"Internal Edit\" Menu Item to Edit This Message";

char *bug_headers =
  "To: tmartin+ezmail@andrew.cmu.edu\nSubject: EzMail Bug Report\nCc: \n\nPlease enter your bug report here: \n\n";

char *compose_headers =  "To: \nSubject: \nCc: \n\n";

char *con_noconn_banner = "No Connection Established";


char *lpf_prompts[] = {
  "Establish Connection on Startup",
  "Compose Window Goes Away After Sending",
  "Expunge Deleted Messages On Folder Close",
  "Suppress Help Message at the Bottom of Screen",
  "Remember My Password After Login",  
  "Do smart aliasing",
  "Always Sign Mail",
  "Email address:",
  "Store Temporary Files in:",
  "Always Use My External Editor:",
  "Save Sent Messages To:",
  "Save Draft Messages To",
  "Real name:",
  "mmencode path:",
};

char *rpf_prompts[] = {
  "IMAP Host Name:",
  "SMTP Host Name:",
  "Startup User ID:",
  "Default domain for usernames:"
};

char *vote_prompts[] = {
  "Vote Question:",
  "Vote Choices:",
  "Send Votes To:",
  "Vote Identification:",
  "Allow Write-In Votes"
};

char *noconn_help = "Please Establish Connection Before Selecting HELP.\n\nTo Do This, Select The \"Connect...\" Menu Item Under ANDREW Menu.  Fill in Your Userid, Password, and Hostname, and Press Return to Login.";

char *mail_headers[] = {
  "To",
  "Subject",
  "CC",
  "Ack-to",
  "Vote-Choices",
  "Vote-To",
  "Vote-Request",
  "X-Andrew-DirectoryCreation",
  "X-Andrew-Redistribution-To",
  "X-Andrew-Fax-Charge-to",
  "X-Andrew-Fax-Delivery-after",
  "X-Andrew-Fax-Confidential",
  "X-Andrew-Fax-Resolution",
  "X-Andrew-Fax-Max-retries",
  "X-Andrew-Fax-Trailing-Coverpage-Too",
  "X-Andrew-Fax-PostScript-bodyfile",
  "X-Andrew-Fax-CoverPage",
  "Reply-To"
};

char *MSG_BusyMsg = "Still busy with previous command...";

char *MSG_HintMsgWin = "Respond(%s), Delete(%s), File(%s), Next(%s)%s";
char *MSG_HintCapWin = "Read(RETURN), Delete(%s), File(%s), Punt(%s)%s%s";
char *MSG_HintFdrWin = "Captions(RETURN), Expose(%s), Subscribe(%s)%s%s";
char *MSG_HintEdtWin = "Editing Mode, Exit Editing(%s), Add Headers(%s)%s%s%s";
char *MSG_HintFlrWin = "File Services(%s)%s%s%s%s";
char *MSG_HintOther  = "Close Window(%s), Access Menu Bar(TAB)%s%s%s%s";
char *MSG_HintMsgGen = "Help(%s), Key Mapping(%s), Access Menu Bar(TAB), Quit(%s)%s%s";
char *MSG_HintSndWin = "Verify(%s), Send(%s), Attach(%s), Edit(%s)";
char *MSG_HintSndNoConnWin = "Verify(%s), Send(%s), Edit(%s), But You should Connect First!%s%s";
char *MSG_HintAttach = "Close Window(%s), Add(%s), Delete(%s)";

#ifdef AFS_ENV
char *MSG_HintAfsEdit = "Edit(%s), Save(%s)%s%s%s";
#else
char *MSG_HintAfsEdit = "Edit(%s), Use 'Save' Under Window Menu to Save This Window";
#endif

char *MSG_MoveOrResizeHint = "Move the Cursor to Resize/Move the Window, Then Press Return.";

char *MSG_HintDialog = "Use Tab to Move Around, use 'X' to Set CheckBoxes";

char *MSG_ShiftTabMsg = "Please enter the first character of a menu...";

char *nil_banners[] = {
  (char *)0,
  "Folders",
  "Captions",
  "Message",
  (char *)0,
  "Help Index",
  "Help Body",
  "Andrew Filer"
};

